import {globalStore} from "@/store";
import {PrintTemplateParamApi} from "@/api";
import * as Icons from '@ant-design/icons-vue';
import ElementUtils from "@/utils/ElementUtils";

export default {
    install: async (app, options) => {
        for (const i in Icons) {
            app.component(i, Icons[i])
        }
        ElementUtils.initElementBandCode();
        const printTemplateParamList = await PrintTemplateParamApi.getPrintTemplateParamList('178746772213465144');
        console.log('printTemplateParamList >> ', printTemplateParamList)
        for (let printTemplateParam of printTemplateParamList) {
            const datasource = {
                paramId: printTemplateParam.print_template_param_id,
                paramName: printTemplateParam.param_name,
                paramKey: printTemplateParam.param_key,
                paramType: printTemplateParam.param_type,
                paramValue: printTemplateParam.param_value,
                fields: []
            }
            const paramFields = JSON.parse(printTemplateParam.param_detail)
            for (let field of paramFields) {
                datasource.fields.push({
                    field: field.field,
                    fieldLabel: field.field_label,
                    fieldDict: field.field_dict,
                    formatter: field.formatter,
                    expression: field.expression
                })
            }
            globalStore().addDataSource(datasource);
        }
        console.log('datasource >> ', globalStore().dataSources)
    }
}